    class
    	MISMATCH_CORRECTOR

    Ancestors
    	ANY

    Descendants
    	DATE_VALUE
    	HASH_TABLE [G, H -> HASHABLE]
    	STRING_32
    	STRING_8
    	TUPLE

    Clients
    	ANY
    	DATE_VALUE
    	FILE*
    	HASH_TABLE [G, H -> HASHABLE]
    	MISMATCH_CORRECTOR
    	MISMATCH_INFORMATION
    	SOCKET
    	STREAM
    	TUPLE

    Suppliers
    	EXCEPTIONS
    	MISMATCH_CORRECTOR
    	MISMATCH_INFORMATION
    	STRING_8